package com.ss.android.ugc.aweme.homepage.experiment;

import X.9Fh;
import X.9Fx;
import X.9G0;
import X.C4501Ei1;
import X.C4973Epd;
import X.Lnj;
import X.Szd;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.comment.CommentServiceImpl;
import com.ss.android.ugc.aweme.homepage.ui.inflate.PreDrawableInflate;
import com.ss.android.ugc.aweme.homepage.ui.inflate.X2CActivityMain;
import com.ss.android.ugc.aweme.homepage.ui.inflate.X2CFragmentMain;
import com.ss.android.ugc.aweme.homepage.ui.inflate.X2CFragmentMainPage;
import com.ss.android.ugc.aweme.homepage.ui.view.tab.top.X2CTabItem;
import com.ss.android.ugc.aweme.main.experiment.IHomepageExperimentService;

public final class HomepageExperimentServiceImpl implements IHomepageExperimentService {
    static {
        Covode.recordClassIndex(83069);
    }

    public final boolean LIZIZ() {
        return C4501Ei1.LIZJ();
    }

    public static IHomepageExperimentService LIZJ() {
        IHomepageExperimentService iHomepageExperimentService = (IHomepageExperimentService) Lnj.LIZ(IHomepageExperimentService.class, false);
        if (iHomepageExperimentService != null) {
            return iHomepageExperimentService;
        }
        Object LIZIZ = Lnj.LIZIZ(IHomepageExperimentService.class, false);
        if (LIZIZ != null) {
            return (IHomepageExperimentService) LIZIZ;
        }
        return new HomepageExperimentServiceImpl();
    }

    public final void LIZ() {
        9Fh r2 = 9Fh.LJIILIIL;
        r2.LIZ(X2CActivityMain.class, new X2CActivityMain());
        r2.LIZ(X2CFragmentMainPage.class, new X2CFragmentMainPage());
        r2.LIZ(X2CFragmentMain.class, new X2CFragmentMain());
        r2.LIZ(X2CTabItem.class, new X2CTabItem());
        r2.LIZ(PreDrawableInflate.class, new PreDrawableInflate());
        CommentServiceImpl.LJI();
        if (Szd.LIZLLL.LIZIZ()) {
            new 9G0().LIZ();
            9Fh.LJIILIIL.LIZ(9Fx.NEW_USER, false, C4973Epd.LIZ);
            return;
        }
        9G0 r1 = new 9G0();
        r1.LIZ(PreDrawableInflate.class);
        r1.LIZ();
    }
}
